//////////////////////////////////////////////////////////////////////////////////
//#include <DDSx_DDS.h>
#include <DDS_DDS.h>
#define Fck  4000000	// clock frequency 
static double Fdv;	
//////////////////////////////////////////////////////////////////////////////////
void DDSx_Start(void)
{
	DDSx_ControlStrobe_Write(0);	// ensure storobe to inactive
	DDSx_ControlPhase1_Write(0);
	DDSx_ControlPhase2_Write(0);
	DDSx_ControlPhase3_Write(0);
	DDSx_ControlPhase4_Write(0);
	
	DDSx_iDAC_Start();		// Initializes the IDAC8 with default customizer values. Enables and powers
	DDSx_iDAC_SetValue(0);	// Sets value between 0 and 255 with the given range.

	Fdv=Fck/(double)(2^32);
}
//////////////////////////////////////////////////////////////////////////////////
//Fdiv: 0.001,396,984	// ,86192322
//////////////////////////////////////////////////////////////////////////////////
void DDSx_SetFrequency( long freq )
{ long phase;
	
	DDSx_ControlStrobe_Write(0);	// ensure storobe to inactive

	phase= Fdv*(double)freq;					// calculate phase

	DDSx_ControlPhase1_Write( phase&0xFF );		// write phase
	DDSx_ControlPhase2_Write( (phase&0xFF00)>>8 );
	DDSx_ControlPhase3_Write( (phase&0xFF0000)>>16 );
	DDSx_ControlPhase4_Write( (phase&0xFF000000)>>24 );
	
	DDSx_ControlStrobe_Write(1);	// load phase
	CyDelayUs(1);
	DDSx_ControlStrobe_Write(0);	// inactivate storobe 
}

/* [] END OF FILE */
