/*******************************************************************************
* File Name: GND4.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GND4_H) /* Pins GND4_H */
#define CY_PINS_GND4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GND4_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GND4__PORT == 15 && ((GND4__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    GND4_Write(uint8 value) ;
void    GND4_SetDriveMode(uint8 mode) ;
uint8   GND4_ReadDataReg(void) ;
uint8   GND4_Read(void) ;
uint8   GND4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define GND4_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define GND4_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define GND4_DM_RES_UP          PIN_DM_RES_UP
#define GND4_DM_RES_DWN         PIN_DM_RES_DWN
#define GND4_DM_OD_LO           PIN_DM_OD_LO
#define GND4_DM_OD_HI           PIN_DM_OD_HI
#define GND4_DM_STRONG          PIN_DM_STRONG
#define GND4_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define GND4_MASK               GND4__MASK
#define GND4_SHIFT              GND4__SHIFT
#define GND4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GND4_PS                     (* (reg8 *) GND4__PS)
/* Data Register */
#define GND4_DR                     (* (reg8 *) GND4__DR)
/* Port Number */
#define GND4_PRT_NUM                (* (reg8 *) GND4__PRT) 
/* Connect to Analog Globals */                                                  
#define GND4_AG                     (* (reg8 *) GND4__AG)                       
/* Analog MUX bux enable */
#define GND4_AMUX                   (* (reg8 *) GND4__AMUX) 
/* Bidirectional Enable */                                                        
#define GND4_BIE                    (* (reg8 *) GND4__BIE)
/* Bit-mask for Aliased Register Access */
#define GND4_BIT_MASK               (* (reg8 *) GND4__BIT_MASK)
/* Bypass Enable */
#define GND4_BYP                    (* (reg8 *) GND4__BYP)
/* Port wide control signals */                                                   
#define GND4_CTL                    (* (reg8 *) GND4__CTL)
/* Drive Modes */
#define GND4_DM0                    (* (reg8 *) GND4__DM0) 
#define GND4_DM1                    (* (reg8 *) GND4__DM1)
#define GND4_DM2                    (* (reg8 *) GND4__DM2) 
/* Input Buffer Disable Override */
#define GND4_INP_DIS                (* (reg8 *) GND4__INP_DIS)
/* LCD Common or Segment Drive */
#define GND4_LCD_COM_SEG            (* (reg8 *) GND4__LCD_COM_SEG)
/* Enable Segment LCD */
#define GND4_LCD_EN                 (* (reg8 *) GND4__LCD_EN)
/* Slew Rate Control */
#define GND4_SLW                    (* (reg8 *) GND4__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GND4_PRTDSI__CAPS_SEL       (* (reg8 *) GND4__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GND4_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GND4__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GND4_PRTDSI__OE_SEL0        (* (reg8 *) GND4__PRTDSI__OE_SEL0) 
#define GND4_PRTDSI__OE_SEL1        (* (reg8 *) GND4__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GND4_PRTDSI__OUT_SEL0       (* (reg8 *) GND4__PRTDSI__OUT_SEL0) 
#define GND4_PRTDSI__OUT_SEL1       (* (reg8 *) GND4__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GND4_PRTDSI__SYNC_OUT       (* (reg8 *) GND4__PRTDSI__SYNC_OUT) 


#if defined(GND4__INTSTAT)  /* Interrupt Registers */

    #define GND4_INTSTAT                (* (reg8 *) GND4__INTSTAT)
    #define GND4_SNAP                   (* (reg8 *) GND4__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_GND4_H */


/* [] END OF FILE */
