/*******************************************************************************
* File Name: GND8.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GND8_H) /* Pins GND8_H */
#define CY_PINS_GND8_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "GND8_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 GND8__PORT == 15 && ((GND8__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    GND8_Write(uint8 value) ;
void    GND8_SetDriveMode(uint8 mode) ;
uint8   GND8_ReadDataReg(void) ;
uint8   GND8_Read(void) ;
uint8   GND8_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define GND8_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define GND8_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define GND8_DM_RES_UP          PIN_DM_RES_UP
#define GND8_DM_RES_DWN         PIN_DM_RES_DWN
#define GND8_DM_OD_LO           PIN_DM_OD_LO
#define GND8_DM_OD_HI           PIN_DM_OD_HI
#define GND8_DM_STRONG          PIN_DM_STRONG
#define GND8_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define GND8_MASK               GND8__MASK
#define GND8_SHIFT              GND8__SHIFT
#define GND8_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define GND8_PS                     (* (reg8 *) GND8__PS)
/* Data Register */
#define GND8_DR                     (* (reg8 *) GND8__DR)
/* Port Number */
#define GND8_PRT_NUM                (* (reg8 *) GND8__PRT) 
/* Connect to Analog Globals */                                                  
#define GND8_AG                     (* (reg8 *) GND8__AG)                       
/* Analog MUX bux enable */
#define GND8_AMUX                   (* (reg8 *) GND8__AMUX) 
/* Bidirectional Enable */                                                        
#define GND8_BIE                    (* (reg8 *) GND8__BIE)
/* Bit-mask for Aliased Register Access */
#define GND8_BIT_MASK               (* (reg8 *) GND8__BIT_MASK)
/* Bypass Enable */
#define GND8_BYP                    (* (reg8 *) GND8__BYP)
/* Port wide control signals */                                                   
#define GND8_CTL                    (* (reg8 *) GND8__CTL)
/* Drive Modes */
#define GND8_DM0                    (* (reg8 *) GND8__DM0) 
#define GND8_DM1                    (* (reg8 *) GND8__DM1)
#define GND8_DM2                    (* (reg8 *) GND8__DM2) 
/* Input Buffer Disable Override */
#define GND8_INP_DIS                (* (reg8 *) GND8__INP_DIS)
/* LCD Common or Segment Drive */
#define GND8_LCD_COM_SEG            (* (reg8 *) GND8__LCD_COM_SEG)
/* Enable Segment LCD */
#define GND8_LCD_EN                 (* (reg8 *) GND8__LCD_EN)
/* Slew Rate Control */
#define GND8_SLW                    (* (reg8 *) GND8__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define GND8_PRTDSI__CAPS_SEL       (* (reg8 *) GND8__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define GND8_PRTDSI__DBL_SYNC_IN    (* (reg8 *) GND8__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define GND8_PRTDSI__OE_SEL0        (* (reg8 *) GND8__PRTDSI__OE_SEL0) 
#define GND8_PRTDSI__OE_SEL1        (* (reg8 *) GND8__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define GND8_PRTDSI__OUT_SEL0       (* (reg8 *) GND8__PRTDSI__OUT_SEL0) 
#define GND8_PRTDSI__OUT_SEL1       (* (reg8 *) GND8__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define GND8_PRTDSI__SYNC_OUT       (* (reg8 *) GND8__PRTDSI__SYNC_OUT) 


#if defined(GND8__INTSTAT)  /* Interrupt Registers */

    #define GND8_INTSTAT                (* (reg8 *) GND8__INTSTAT)
    #define GND8_SNAP                   (* (reg8 *) GND8__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_GND8_H */


/* [] END OF FILE */
