/*******************************************************************************
* File Name: LED111.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED111_H) /* Pins LED111_H */
#define CY_PINS_LED111_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LED111_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 LED111__PORT == 15 && ((LED111__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    LED111_Write(uint8 value) ;
void    LED111_SetDriveMode(uint8 mode) ;
uint8   LED111_ReadDataReg(void) ;
uint8   LED111_Read(void) ;
uint8   LED111_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED111_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LED111_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LED111_DM_RES_UP          PIN_DM_RES_UP
#define LED111_DM_RES_DWN         PIN_DM_RES_DWN
#define LED111_DM_OD_LO           PIN_DM_OD_LO
#define LED111_DM_OD_HI           PIN_DM_OD_HI
#define LED111_DM_STRONG          PIN_DM_STRONG
#define LED111_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LED111_MASK               LED111__MASK
#define LED111_SHIFT              LED111__SHIFT
#define LED111_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED111_PS                     (* (reg8 *) LED111__PS)
/* Data Register */
#define LED111_DR                     (* (reg8 *) LED111__DR)
/* Port Number */
#define LED111_PRT_NUM                (* (reg8 *) LED111__PRT) 
/* Connect to Analog Globals */                                                  
#define LED111_AG                     (* (reg8 *) LED111__AG)                       
/* Analog MUX bux enable */
#define LED111_AMUX                   (* (reg8 *) LED111__AMUX) 
/* Bidirectional Enable */                                                        
#define LED111_BIE                    (* (reg8 *) LED111__BIE)
/* Bit-mask for Aliased Register Access */
#define LED111_BIT_MASK               (* (reg8 *) LED111__BIT_MASK)
/* Bypass Enable */
#define LED111_BYP                    (* (reg8 *) LED111__BYP)
/* Port wide control signals */                                                   
#define LED111_CTL                    (* (reg8 *) LED111__CTL)
/* Drive Modes */
#define LED111_DM0                    (* (reg8 *) LED111__DM0) 
#define LED111_DM1                    (* (reg8 *) LED111__DM1)
#define LED111_DM2                    (* (reg8 *) LED111__DM2) 
/* Input Buffer Disable Override */
#define LED111_INP_DIS                (* (reg8 *) LED111__INP_DIS)
/* LCD Common or Segment Drive */
#define LED111_LCD_COM_SEG            (* (reg8 *) LED111__LCD_COM_SEG)
/* Enable Segment LCD */
#define LED111_LCD_EN                 (* (reg8 *) LED111__LCD_EN)
/* Slew Rate Control */
#define LED111_SLW                    (* (reg8 *) LED111__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LED111_PRTDSI__CAPS_SEL       (* (reg8 *) LED111__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LED111_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LED111__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LED111_PRTDSI__OE_SEL0        (* (reg8 *) LED111__PRTDSI__OE_SEL0) 
#define LED111_PRTDSI__OE_SEL1        (* (reg8 *) LED111__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LED111_PRTDSI__OUT_SEL0       (* (reg8 *) LED111__PRTDSI__OUT_SEL0) 
#define LED111_PRTDSI__OUT_SEL1       (* (reg8 *) LED111__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LED111_PRTDSI__SYNC_OUT       (* (reg8 *) LED111__PRTDSI__SYNC_OUT) 


#if defined(LED111__INTSTAT)  /* Interrupt Registers */

    #define LED111_INTSTAT                (* (reg8 *) LED111__INTSTAT)
    #define LED111_SNAP                   (* (reg8 *) LED111__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_LED111_H */


/* [] END OF FILE */
