/*******************************************************************************
* File Name: LED222.c  
* Version 1.90
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "LED222.h"

/* APIs are not generated for P15[7:6] on PSoC 5 */
#if !(CY_PSOC5A &&\
	 LED222__PORT == 15 && ((LED222__MASK & 0xC0) != 0))


/*******************************************************************************
* Function Name: LED222_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None
*  
*******************************************************************************/
void LED222_Write(uint8 value) 
{
    uint8 staticBits = (LED222_DR & (uint8)(~LED222_MASK));
    LED222_DR = staticBits | ((uint8)(value << LED222_SHIFT) & LED222_MASK);
}


/*******************************************************************************
* Function Name: LED222_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  None
*
*******************************************************************************/
void LED222_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(LED222_0, mode);
}


/*******************************************************************************
* Function Name: LED222_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro LED222_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 LED222_Read(void) 
{
    return (LED222_PS & LED222_MASK) >> LED222_SHIFT;
}


/*******************************************************************************
* Function Name: LED222_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 LED222_ReadDataReg(void) 
{
    return (LED222_DR & LED222_MASK) >> LED222_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(LED222_INTSTAT) 

    /*******************************************************************************
    * Function Name: LED222_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 LED222_ClearInterrupt(void) 
    {
        return (LED222_INTSTAT & LED222_MASK) >> LED222_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 

#endif /* CY_PSOC5A... */

    
/* [] END OF FILE */
