/*******************************************************************************
* File Name: LED222.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LED222_H) /* Pins LED222_H */
#define CY_PINS_LED222_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LED222_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 LED222__PORT == 15 && ((LED222__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    LED222_Write(uint8 value) ;
void    LED222_SetDriveMode(uint8 mode) ;
uint8   LED222_ReadDataReg(void) ;
uint8   LED222_Read(void) ;
uint8   LED222_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LED222_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LED222_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LED222_DM_RES_UP          PIN_DM_RES_UP
#define LED222_DM_RES_DWN         PIN_DM_RES_DWN
#define LED222_DM_OD_LO           PIN_DM_OD_LO
#define LED222_DM_OD_HI           PIN_DM_OD_HI
#define LED222_DM_STRONG          PIN_DM_STRONG
#define LED222_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LED222_MASK               LED222__MASK
#define LED222_SHIFT              LED222__SHIFT
#define LED222_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LED222_PS                     (* (reg8 *) LED222__PS)
/* Data Register */
#define LED222_DR                     (* (reg8 *) LED222__DR)
/* Port Number */
#define LED222_PRT_NUM                (* (reg8 *) LED222__PRT) 
/* Connect to Analog Globals */                                                  
#define LED222_AG                     (* (reg8 *) LED222__AG)                       
/* Analog MUX bux enable */
#define LED222_AMUX                   (* (reg8 *) LED222__AMUX) 
/* Bidirectional Enable */                                                        
#define LED222_BIE                    (* (reg8 *) LED222__BIE)
/* Bit-mask for Aliased Register Access */
#define LED222_BIT_MASK               (* (reg8 *) LED222__BIT_MASK)
/* Bypass Enable */
#define LED222_BYP                    (* (reg8 *) LED222__BYP)
/* Port wide control signals */                                                   
#define LED222_CTL                    (* (reg8 *) LED222__CTL)
/* Drive Modes */
#define LED222_DM0                    (* (reg8 *) LED222__DM0) 
#define LED222_DM1                    (* (reg8 *) LED222__DM1)
#define LED222_DM2                    (* (reg8 *) LED222__DM2) 
/* Input Buffer Disable Override */
#define LED222_INP_DIS                (* (reg8 *) LED222__INP_DIS)
/* LCD Common or Segment Drive */
#define LED222_LCD_COM_SEG            (* (reg8 *) LED222__LCD_COM_SEG)
/* Enable Segment LCD */
#define LED222_LCD_EN                 (* (reg8 *) LED222__LCD_EN)
/* Slew Rate Control */
#define LED222_SLW                    (* (reg8 *) LED222__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LED222_PRTDSI__CAPS_SEL       (* (reg8 *) LED222__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LED222_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LED222__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LED222_PRTDSI__OE_SEL0        (* (reg8 *) LED222__PRTDSI__OE_SEL0) 
#define LED222_PRTDSI__OE_SEL1        (* (reg8 *) LED222__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LED222_PRTDSI__OUT_SEL0       (* (reg8 *) LED222__PRTDSI__OUT_SEL0) 
#define LED222_PRTDSI__OUT_SEL1       (* (reg8 *) LED222__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LED222_PRTDSI__SYNC_OUT       (* (reg8 *) LED222__PRTDSI__SYNC_OUT) 


#if defined(LED222__INTSTAT)  /* Interrupt Registers */

    #define LED222_INTSTAT                (* (reg8 *) LED222__INTSTAT)
    #define LED222_SNAP                   (* (reg8 *) LED222__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_LED222_H */


/* [] END OF FILE */
