/*******************************************************************************
* File Name: PinOut.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinOut_H) /* Pins PinOut_H */
#define CY_PINS_PinOut_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PinOut_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PinOut__PORT == 15 && ((PinOut__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PinOut_Write(uint8 value) ;
void    PinOut_SetDriveMode(uint8 mode) ;
uint8   PinOut_ReadDataReg(void) ;
uint8   PinOut_Read(void) ;
uint8   PinOut_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PinOut_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PinOut_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PinOut_DM_RES_UP          PIN_DM_RES_UP
#define PinOut_DM_RES_DWN         PIN_DM_RES_DWN
#define PinOut_DM_OD_LO           PIN_DM_OD_LO
#define PinOut_DM_OD_HI           PIN_DM_OD_HI
#define PinOut_DM_STRONG          PIN_DM_STRONG
#define PinOut_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PinOut_MASK               PinOut__MASK
#define PinOut_SHIFT              PinOut__SHIFT
#define PinOut_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PinOut_PS                     (* (reg8 *) PinOut__PS)
/* Data Register */
#define PinOut_DR                     (* (reg8 *) PinOut__DR)
/* Port Number */
#define PinOut_PRT_NUM                (* (reg8 *) PinOut__PRT) 
/* Connect to Analog Globals */                                                  
#define PinOut_AG                     (* (reg8 *) PinOut__AG)                       
/* Analog MUX bux enable */
#define PinOut_AMUX                   (* (reg8 *) PinOut__AMUX) 
/* Bidirectional Enable */                                                        
#define PinOut_BIE                    (* (reg8 *) PinOut__BIE)
/* Bit-mask for Aliased Register Access */
#define PinOut_BIT_MASK               (* (reg8 *) PinOut__BIT_MASK)
/* Bypass Enable */
#define PinOut_BYP                    (* (reg8 *) PinOut__BYP)
/* Port wide control signals */                                                   
#define PinOut_CTL                    (* (reg8 *) PinOut__CTL)
/* Drive Modes */
#define PinOut_DM0                    (* (reg8 *) PinOut__DM0) 
#define PinOut_DM1                    (* (reg8 *) PinOut__DM1)
#define PinOut_DM2                    (* (reg8 *) PinOut__DM2) 
/* Input Buffer Disable Override */
#define PinOut_INP_DIS                (* (reg8 *) PinOut__INP_DIS)
/* LCD Common or Segment Drive */
#define PinOut_LCD_COM_SEG            (* (reg8 *) PinOut__LCD_COM_SEG)
/* Enable Segment LCD */
#define PinOut_LCD_EN                 (* (reg8 *) PinOut__LCD_EN)
/* Slew Rate Control */
#define PinOut_SLW                    (* (reg8 *) PinOut__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PinOut_PRTDSI__CAPS_SEL       (* (reg8 *) PinOut__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PinOut_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PinOut__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PinOut_PRTDSI__OE_SEL0        (* (reg8 *) PinOut__PRTDSI__OE_SEL0) 
#define PinOut_PRTDSI__OE_SEL1        (* (reg8 *) PinOut__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PinOut_PRTDSI__OUT_SEL0       (* (reg8 *) PinOut__PRTDSI__OUT_SEL0) 
#define PinOut_PRTDSI__OUT_SEL1       (* (reg8 *) PinOut__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PinOut_PRTDSI__SYNC_OUT       (* (reg8 *) PinOut__PRTDSI__SYNC_OUT) 


#if defined(PinOut__INTSTAT)  /* Interrupt Registers */

    #define PinOut_INTSTAT                (* (reg8 *) PinOut__INTSTAT)
    #define PinOut_SNAP                   (* (reg8 *) PinOut__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PinOut_H */


/* [] END OF FILE */
