/*******************************************************************************
* File Name: PinPhase.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinPhase_H) /* Pins PinPhase_H */
#define CY_PINS_PinPhase_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PinPhase_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PinPhase__PORT == 15 && ((PinPhase__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PinPhase_Write(uint8 value) ;
void    PinPhase_SetDriveMode(uint8 mode) ;
uint8   PinPhase_ReadDataReg(void) ;
uint8   PinPhase_Read(void) ;
uint8   PinPhase_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PinPhase_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PinPhase_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PinPhase_DM_RES_UP          PIN_DM_RES_UP
#define PinPhase_DM_RES_DWN         PIN_DM_RES_DWN
#define PinPhase_DM_OD_LO           PIN_DM_OD_LO
#define PinPhase_DM_OD_HI           PIN_DM_OD_HI
#define PinPhase_DM_STRONG          PIN_DM_STRONG
#define PinPhase_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PinPhase_MASK               PinPhase__MASK
#define PinPhase_SHIFT              PinPhase__SHIFT
#define PinPhase_WIDTH              8u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PinPhase_PS                     (* (reg8 *) PinPhase__PS)
/* Data Register */
#define PinPhase_DR                     (* (reg8 *) PinPhase__DR)
/* Port Number */
#define PinPhase_PRT_NUM                (* (reg8 *) PinPhase__PRT) 
/* Connect to Analog Globals */                                                  
#define PinPhase_AG                     (* (reg8 *) PinPhase__AG)                       
/* Analog MUX bux enable */
#define PinPhase_AMUX                   (* (reg8 *) PinPhase__AMUX) 
/* Bidirectional Enable */                                                        
#define PinPhase_BIE                    (* (reg8 *) PinPhase__BIE)
/* Bit-mask for Aliased Register Access */
#define PinPhase_BIT_MASK               (* (reg8 *) PinPhase__BIT_MASK)
/* Bypass Enable */
#define PinPhase_BYP                    (* (reg8 *) PinPhase__BYP)
/* Port wide control signals */                                                   
#define PinPhase_CTL                    (* (reg8 *) PinPhase__CTL)
/* Drive Modes */
#define PinPhase_DM0                    (* (reg8 *) PinPhase__DM0) 
#define PinPhase_DM1                    (* (reg8 *) PinPhase__DM1)
#define PinPhase_DM2                    (* (reg8 *) PinPhase__DM2) 
/* Input Buffer Disable Override */
#define PinPhase_INP_DIS                (* (reg8 *) PinPhase__INP_DIS)
/* LCD Common or Segment Drive */
#define PinPhase_LCD_COM_SEG            (* (reg8 *) PinPhase__LCD_COM_SEG)
/* Enable Segment LCD */
#define PinPhase_LCD_EN                 (* (reg8 *) PinPhase__LCD_EN)
/* Slew Rate Control */
#define PinPhase_SLW                    (* (reg8 *) PinPhase__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PinPhase_PRTDSI__CAPS_SEL       (* (reg8 *) PinPhase__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PinPhase_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PinPhase__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PinPhase_PRTDSI__OE_SEL0        (* (reg8 *) PinPhase__PRTDSI__OE_SEL0) 
#define PinPhase_PRTDSI__OE_SEL1        (* (reg8 *) PinPhase__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PinPhase_PRTDSI__OUT_SEL0       (* (reg8 *) PinPhase__PRTDSI__OUT_SEL0) 
#define PinPhase_PRTDSI__OUT_SEL1       (* (reg8 *) PinPhase__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PinPhase_PRTDSI__SYNC_OUT       (* (reg8 *) PinPhase__PRTDSI__SYNC_OUT) 


#if defined(PinPhase__INTSTAT)  /* Interrupt Registers */

    #define PinPhase_INTSTAT                (* (reg8 *) PinPhase__INTSTAT)
    #define PinPhase_SNAP                   (* (reg8 *) PinPhase__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PinPhase_H */


/* [] END OF FILE */
