/*******************************************************************************
* File Name: PinSignal.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinSignal_H) /* Pins PinSignal_H */
#define CY_PINS_PinSignal_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PinSignal_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_90 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PinSignal__PORT == 15 && ((PinSignal__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PinSignal_Write(uint8 value) ;
void    PinSignal_SetDriveMode(uint8 mode) ;
uint8   PinSignal_ReadDataReg(void) ;
uint8   PinSignal_Read(void) ;
uint8   PinSignal_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PinSignal_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PinSignal_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PinSignal_DM_RES_UP          PIN_DM_RES_UP
#define PinSignal_DM_RES_DWN         PIN_DM_RES_DWN
#define PinSignal_DM_OD_LO           PIN_DM_OD_LO
#define PinSignal_DM_OD_HI           PIN_DM_OD_HI
#define PinSignal_DM_STRONG          PIN_DM_STRONG
#define PinSignal_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PinSignal_MASK               PinSignal__MASK
#define PinSignal_SHIFT              PinSignal__SHIFT
#define PinSignal_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PinSignal_PS                     (* (reg8 *) PinSignal__PS)
/* Data Register */
#define PinSignal_DR                     (* (reg8 *) PinSignal__DR)
/* Port Number */
#define PinSignal_PRT_NUM                (* (reg8 *) PinSignal__PRT) 
/* Connect to Analog Globals */                                                  
#define PinSignal_AG                     (* (reg8 *) PinSignal__AG)                       
/* Analog MUX bux enable */
#define PinSignal_AMUX                   (* (reg8 *) PinSignal__AMUX) 
/* Bidirectional Enable */                                                        
#define PinSignal_BIE                    (* (reg8 *) PinSignal__BIE)
/* Bit-mask for Aliased Register Access */
#define PinSignal_BIT_MASK               (* (reg8 *) PinSignal__BIT_MASK)
/* Bypass Enable */
#define PinSignal_BYP                    (* (reg8 *) PinSignal__BYP)
/* Port wide control signals */                                                   
#define PinSignal_CTL                    (* (reg8 *) PinSignal__CTL)
/* Drive Modes */
#define PinSignal_DM0                    (* (reg8 *) PinSignal__DM0) 
#define PinSignal_DM1                    (* (reg8 *) PinSignal__DM1)
#define PinSignal_DM2                    (* (reg8 *) PinSignal__DM2) 
/* Input Buffer Disable Override */
#define PinSignal_INP_DIS                (* (reg8 *) PinSignal__INP_DIS)
/* LCD Common or Segment Drive */
#define PinSignal_LCD_COM_SEG            (* (reg8 *) PinSignal__LCD_COM_SEG)
/* Enable Segment LCD */
#define PinSignal_LCD_EN                 (* (reg8 *) PinSignal__LCD_EN)
/* Slew Rate Control */
#define PinSignal_SLW                    (* (reg8 *) PinSignal__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PinSignal_PRTDSI__CAPS_SEL       (* (reg8 *) PinSignal__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PinSignal_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PinSignal__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PinSignal_PRTDSI__OE_SEL0        (* (reg8 *) PinSignal__PRTDSI__OE_SEL0) 
#define PinSignal_PRTDSI__OE_SEL1        (* (reg8 *) PinSignal__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PinSignal_PRTDSI__OUT_SEL0       (* (reg8 *) PinSignal__PRTDSI__OUT_SEL0) 
#define PinSignal_PRTDSI__OUT_SEL1       (* (reg8 *) PinSignal__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PinSignal_PRTDSI__SYNC_OUT       (* (reg8 *) PinSignal__PRTDSI__SYNC_OUT) 


#if defined(PinSignal__INTSTAT)  /* Interrupt Registers */

    #define PinSignal_INTSTAT                (* (reg8 *) PinSignal__INTSTAT)
    #define PinSignal_SNAP                   (* (reg8 *) PinSignal__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PinSignal_H */


/* [] END OF FILE */
