/*******************************************************************************
* File Name: StatusDiff.h  
* Version 1.80
*
* Description:
*  This file containts Status Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_STATUS_REG_StatusDiff_H) /* CY_STATUS_REG_StatusDiff_H */
#define CY_STATUS_REG_StatusDiff_H

#include "cytypes.h"
#include "CyLib.h"


/***************************************
*        Function Prototypes
***************************************/

uint8 StatusDiff_Read(void) ;
void StatusDiff_InterruptEnable(void) ;
void StatusDiff_InterruptDisable(void) ;
void StatusDiff_WriteMask(uint8 mask) ;
uint8 StatusDiff_ReadMask(void) ;


/***************************************
*           API Constants
***************************************/

#define StatusDiff_STATUS_INTR_ENBL    0x10u


/***************************************
*         Parameter Constants
***************************************/

/* Status Register Inputs */
#define StatusDiff_INPUTS              8


/***************************************
*             Registers
***************************************/

/* Status Register */
#define StatusDiff_Status             (* (reg8 *) StatusDiff_sts_sts_reg__STATUS_REG )
#define StatusDiff_Status_PTR         (  (reg8 *) StatusDiff_sts_sts_reg__STATUS_REG )
#define StatusDiff_Status_Mask        (* (reg8 *) StatusDiff_sts_sts_reg__MASK_REG )
#define StatusDiff_Status_Aux_Ctrl    (* (reg8 *) StatusDiff_sts_sts_reg__STATUS_AUX_CTL_REG )

#endif /* End CY_STATUS_REG_StatusDiff_H */


/* [] END OF FILE */
